This document lists the events and parameters for
various types of
Classroom Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=classroom`.

## Add-on updates


Name of a type of event including updates to Add-ons and their resources.
Events of this type are returned with `type=add_on_update`.

### Add-on attachment created

Display name of an event where an add-on attachment is created.
Event details Event name `created_add_on_attachment` Parameters `add_on_attachment_id` `string`


The name of a parameter for the id of an add-on attachment.
`add_on_attachment_title` `string`


The name of a parameter for the title of an add-on attachment.
`add_on_id` `string`


The name of a parameter for the id of an add-on.
`add_on_title` `string`


The name of a parameter for the title of an add-on.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=created_add_on_attachment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Add-on {add_on_title} created an add-on attachment {add_on_attachment_title} to a post in the course {course_title} on behalf of {actor}.`

### Add-on attachment deleted

Display name of an event where an add-on attachment is deleted.
Event details Event name `deleted_add_on_attachment` Parameters `add_on_actor` `string`


The name of a parameter for who is taking action on an add-on resource.
Possible values:

- `by_add_on_for_user`  
  Included in messages like CLASSROOM_EVENT_DELETED_ADD_ON_DESC to indicate this action was taken by an add-on on behalf of the user.
- `by_user_in_classroom`  
  Included in messages like CLASSROOM_EVENT_DELETED_ADD_ON_DESC to indicate this action was taken by a user.
`add_on_attachment_id` `string`


The name of a parameter for the id of an add-on attachment.
`add_on_attachment_title` `string`


The name of a parameter for the title of an add-on attachment.
`add_on_id` `string`


The name of a parameter for the id of an add-on.
`add_on_title` `string`


The name of a parameter for the title of an add-on.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=deleted_add_on_attachment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Add-on attachment {add_on_attachment_title} was deleted from a post in course {course_title} by the {add_on_actor}.`

### Add-on attachment submission updated

Display name of an event where an add-on attachment submission is updated.
Event details Event name `updated_add_on_attachment_submission_grade` Parameters `add_on_attachment_id` `string`


The name of a parameter for the id of an add-on attachment.
`add_on_attachment_title` `string`


The name of a parameter for the title of an add-on attachment.
`add_on_id` `string`


The name of a parameter for the id of an add-on.
`add_on_title` `string`


The name of a parameter for the title of an add-on.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=updated_add_on_attachment_submission_grade&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Add-on {add_on_title} updated the add-on attachment submission grade for {impacted_users}, for the add-on attachment {add_on_attachment_title} on a post in course {course_title} on behalf of {actor}`

### Add-on attachment updated

Display name of an event where an add-on attachment is updated.
Event details Event name `updated_add_on_attachment` Parameters `add_on_attachment_id` `string`


The name of a parameter for the id of an add-on attachment.
`add_on_attachment_title` `string`


The name of a parameter for the title of an add-on attachment.
`add_on_id` `string`


The name of a parameter for the id of an add-on.
`add_on_title` `string`


The name of a parameter for the title of an add-on.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`due_date` `string`


The name of a parameter for the date that a student's work is due.
`grade_denominator` `string`


The name of a parameter for the denominator of a grade.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=updated_add_on_attachment&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Add-on {add_on_title} updated add-on attachment in a post in the course {course_title} on behalf of {actor}. New (title, due date, grade total) are: ({add_on_attachment_title}, {due date}, {grade_denominator})`

## Course content changes


Name of a type of event where a user makes changes to course work and submissions in a course.
Events of this type are returned with `type=course_work_update`.

### Announcement published

Display name of an event where a user publishes an announcement.
Event details Event name `published_announcement` Parameters `attachment_types` `string`


The name of a parameter for attachment type on the post.
Possible values:

- `drive`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a drive file.
- `form`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a Google form.
- `practice_sets`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a Practice Sets.
- `url`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a url.
- `youtube`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a youtube video.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=published_announcement&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} published an announcement in {course_title}`

### Announcement updated

Display name of an event where a user updates an announcement.
Event details Event name `updated_announcement` Parameters `attachment_types` `string`


The name of a parameter for attachment type on the post.
Possible values:

- `drive`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a drive file.
- `form`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a Google form.
- `practice_sets`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a Practice Sets.
- `url`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a url.
- `youtube`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a youtube video.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=updated_announcement&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated announcement in {course_title}.`

### Commented on announcement

Display name of an event where a user made a comment on an announcement.
Event details Event name `commented_announcement` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=commented_announcement&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} made a comment on an announcement in {course_title}`

### Commented on course work

Display name of an event where a user made a comment on an assignment/quiz/etc.
Event details Event name `commented_course_work` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=commented_course_work&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} made a comment on course work '{course_work_title}' in {course_title}`

### Commented on submission privately

Display name of an event where a user posts a private comment to a student's submission.
Event details Event name `commented_submission_private` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=commented_submission_private&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} made a private comment on a submission for course work '{course_work_title}' in {course_title}`

### Commented on submission publicly

Display name of an event where a user posts a public comment to a student's submission.
Event details Event name `commented_submission_public` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=commented_submission_public&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} made a public comment on a submission for course work '{course_work_title}' in {course_title}`

### Course work published

Display name of an event where a user publishes a piece of coursework.
Event details Event name `published_course_work` Parameters `attachment_types` `string`


The name of a parameter for attachment type on the post.
Possible values:

- `drive`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a drive file.
- `form`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a Google form.
- `practice_sets`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a Practice Sets.
- `url`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a url.
- `youtube`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a youtube video.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_max_points` `string`


Maximum points of a course work.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`grade_category_id` `string`


ID of a grade category for a course.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=published_course_work&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} published course work '{course_work_title}' in {course_title}`

### Course work updated

Display name of an event where a user updates a course work.
Event details Event name `updated_course_work` Parameters `attachment_types` `string`


The name of a parameter for attachment type on the post.
Possible values:

- `drive`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a drive file.
- `form`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a Google form.
- `practice_sets`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a Practice Sets.
- `url`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a url.
- `youtube`  
  Included into messages like CLASSROOM_EVENT_PUBLISHED_COURSE_WORK to indicate the attachment is a youtube video.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_max_points` `string`


Maximum points of a course work.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`grade_category_id` `string`


ID of a grade category for a course.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=updated_course_work&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated course work {course_work_title} in {course_title}.`

### Draft grade set

Display name of an event where a user sets the draft grade for a submission.
Event details Event name `set_draft_grade` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`draft_grade` `string`


The name of a parameter for the draft grade of a submission.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=set_draft_grade&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} drafted a grade for a submission for course work {course_work_title} in {course_title}.`

### Draft grade unset

Display name of an event where a user removes the draft grade for a submission.
Event details Event name `unset_draft_grade` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=unset_draft_grade&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} unset a drafted grade for a submission for course work {course_work_title} in {course_title}.`

### Grade set

Display name of an event where a user sets the grade for a submission.
Event details Event name `set_grade` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`grade` `string`


The name of a parameter for the grade of a submission.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=set_grade&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} graded a submission for course work {course_work_title} in {course_title}.`

### Grade unset

Display name of an event where a user removes the grade for a submission.
Event details Event name `unset_grade` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=unset_grade&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} unset a grade for a submission for course work {course_work_title} in {course_title}.`

### Rubric created

Display name of an event where a user creates a rubric.
Event details Event name `created_rubric_for_course_work` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=created_rubric_for_course_work&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a rubric for course work '{course_work_title}' in {course_title}.`

### Submission graded with rubric

Display name of an event where a user grades a submission with a rubric.
Event details Event name `scored_rubric` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=scored_rubric&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} graded submission(s) with a rubric for course work '{course_work_title}' in {course_title}.`

### Submission state changed

Display name of an event where a user changes the state of a submission.
Event details Event name `changed_submission_state` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`has_grade` `boolean`


The name of a parameter for whether or not a submission has a grade.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`is_late` `boolean`


The name of a parameter for whether or not a submission is late.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
`submission_state` `string`


The name of a parameter for the state of a submission.
Possible values:

- `completed`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the teacher marked the submission as completed.
- `created`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the submission was recently created and no other action has been taken on it.
- `excused`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the submission was excused by the teacher.
- `missing`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the teacher marked the submission as missing.
- `reclaimed_by_student`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the student reclaimed their submission, having previously turned it in.
- `returned`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the submission state was changed to returned.
- `student_edited_after_turn_in`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the student edited their submission after having turned it in.
- `turned_in`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the submission state was changed to turned in.
- `unexcused`  
  Included into messages like CLASSROOM_EVENT_CHANGED_SUBMISSION_STATE_DESC to indicate that the submission was unexcused by the teacher, after having been previously excused.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=changed_submission_state&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed the state of submission(s) for course work '{course_work_title}' in {course_title}. New state: {submission_state}`

## Course membership changes


Name of a type of event including changes to course membership.
Events of this type are returned with `type=course_membership_change`.

### User added to course

Display name of an event where a user adds a user to a course directly.
Event details Event name `user_added_to_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_role` `string`


The name of a parameter for the role a user plays in a course.
Possible values:

- `student`  
  Included into messages such as CLASSROOM_EVENT_USER_JOINED_COURSE to indicate that the user is a student.
- `teacher`  
  Included into messages such as CLASSROOM_EVENT_USER_JOINED_COURSE to indicate that the user is a teacher.
`course_title` `string`


The name of a parameter for the name of a course.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=user_added_to_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} added user(s) to {course_title} in role: {course_role}`

### User gained preview access to course

Display name of an event where a user previews a course for a limited time period without a course role.
Event details Event name `user_gained_preview_access_to_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`expiration_timestamp` `string`


The name of a parameter for the time a user's preview access to the course will expire.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`previewer_type` `string`


The name of a parameter for the type of preview access a user has to view a course.
Possible values:

- `previewing_guardian`
- `previewing_teacher`
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=user_gained_preview_access_to_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} gained {previewer_type} access to {course_title} until {expiration_timestamp}`

### User invited to course

Display name of an event where a user invites another user to join a course.
Event details Event name `user_invited_to_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_role` `string`


The name of a parameter for the role a user plays in a course.
Possible values:

- `student`  
  Included into messages such as CLASSROOM_EVENT_USER_JOINED_COURSE to indicate that the user is a student.
- `teacher`  
  Included into messages such as CLASSROOM_EVENT_USER_JOINED_COURSE to indicate that the user is a teacher.
`course_title` `string`


The name of a parameter for the name of a course.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=user_invited_to_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} invited user(s) to join {course_title} in role: {course_role}`

### User joined course

Display name of an event where a user joins a course.
Event details Event name `user_joined_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_join_method` `string`


The name of a parameter for the way a user joined a course (i.e., using a course code or from an invitation).
Possible values:

- `from_api`  
  Indicates that the user was added to a Classroom class by an API call.
- `from_invitation`  
  Indicates that the user joined a Classroom class from an invitation.
- `with_course_code`  
  Indicates that the user joined a Classroom class by entering the class code.
`course_role` `string`


The name of a parameter for the role a user plays in a course.
Possible values:

- `student`  
  Included into messages such as CLASSROOM_EVENT_USER_JOINED_COURSE to indicate that the user is a student.
- `teacher`  
  Included into messages such as CLASSROOM_EVENT_USER_JOINED_COURSE to indicate that the user is a teacher.
`course_title` `string`


The name of a parameter for the name of a course.
`event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
`user_previously_student` `boolean`


The name of a parameter for whether or not the user was previously a student in this class.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=user_joined_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} joined {course_title} in role: {course_role}. User previously student in course: {user_previously_student}`

### User removed from course

Display name of an event where a user removes another user from a course.
Event details Event name `user_removed_from_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_role` `string`


The name of a parameter for the role a user plays in a course.
Possible values:

- `student`  
  Included into messages such as CLASSROOM_EVENT_USER_JOINED_COURSE to indicate that the user is a student.
- `teacher`  
  Included into messages such as CLASSROOM_EVENT_USER_JOINED_COURSE to indicate that the user is a teacher.
`course_title` `string`


The name of a parameter for the name of a course.
`event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=user_removed_from_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} removed user(s) from {course_title} (previous role: {course_role})`

## Course updates


Name of a type of event including changes to a course itself.
Events of this type are returned with `type=course_update`.

### Course archived

Display name of an event where a user archives a course.
Event details Event name `archived_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=archived_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} archived {course_title}`

### Course created

Display name of an event where a user creates a course.
Event details Event name `created_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=created_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created {course_title}`

### Course deleted

Display name of an event where a user deletes a course.
Event details Event name `deleted_course` Parameters `acting_sis_integrator` `string`


Name of the Student Information System integrated with Classroom that performed the action.
Possible values:

- `Clever`  
  Indicates that the action was performed by Clever.
`course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=deleted_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted {course_title}`

### Course quick link created

Display name of an event where a user creates a quick link for a course.
Event details Event name `created_course_quick_link` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`link_display_title` `string`


The name of a parameter for the display title of a link.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=created_course_quick_link&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a quick link titled {link_display_title} in {course_title}.`

### Course quick link deleted

Display name of an event where a user deletes a quick link for a course.
Event details Event name `deleted_course_quick_link` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`link_display_title` `string`


The name of a parameter for the display title of a link.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=deleted_course_quick_link&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a quick link titled {link_display_title} in {course_title}.`

### Course quick link edited

Display name of an event where a user edits a quick link for a course.
Event details Event name `edited_course_quick_link` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`link_display_title` `string`


The name of a parameter for the display title of a link.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=edited_course_quick_link&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} edited a quick link titled {link_display_title} in {course_title}.`

### Course restored

Display name of an event where a user restores a previously archived course.
Event details Event name `restored_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=restored_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} restored {course_title}`

### Grade category created

Display name of an event where a user creates a grade category for a course.
Event details Event name `created_grade_category` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`grade_category_default_denominator` `integer`


Default grade denominator of a grade category in a course.
`grade_category_id` `string`


ID of a grade category for a course.
`grade_category_name` `string`


Name of a grade category in course.
`grade_category_weight` `integer`


Weight of a grade category for a course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=created_grade_category&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created a grade category named {grade_category_name} in {course_title}.`

### Grade category deleted

Display name of an event where a user deletes a grade category for a course.
Event details Event name `deleted_grade_category` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`grade_category_default_denominator` `integer`


Default grade denominator of a grade category in a course.
`grade_category_id` `string`


ID of a grade category for a course.
`grade_category_name` `string`


Name of a grade category in course.
`grade_category_weight` `integer`


Weight of a grade category for a course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=deleted_grade_category&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted a grade category named {grade_category_name} in {course_title}.`

### Grade category edited

Display name of an event where a user edits a grade category for a course.
Event details Event name `edited_grade_category` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`grade_category_default_denominator` `integer`


Default grade denominator of a grade category in a course.
`grade_category_id` `string`


ID of a grade category for a course.
`grade_category_name` `string`


Name of a grade category in course.
`grade_category_weight` `integer`


Weight of a grade category for a course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=edited_grade_category&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} edited a grade category named {grade_category_name} in {course_title}.`

### New user owns course

Display name of an event where a new user owns a course.
Event details Event name `new_user_owns_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_join_method` `string`


The name of a parameter for the way a user joined a course (i.e., using a course code or from an invitation).
`course_title` `string`


The name of a parameter for the name of a course.
`event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=new_user_owns_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} accepted course ownership of {course_title}`

### Share classwork settings updated for course

Display name of an event where the share classwork settings are updated for a course.
Event details Event name `share_classwork_settings_updated_for_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`setting_status` `string`


The name of a parameter for the status of a setting.
Possible values:

- `disabled`
- `enabled`
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=share_classwork_settings_updated_for_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} {setting_status} classwork sharing for {course_title}`

### Transferred ownership of course

Display name of an event where a user transfers ownership of a course.
Event details Event name `transferred_ownership_of_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`previous_course_owner` `string`


The name of a parameter for the name of the previous owner of the course.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=transferred_ownership_of_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} transferred ownership of {course_title} from {previous_course_owner}`

### User invited to own course

Display name of an event where a user is invited to own a course.
Event details Event name `user_invited_to_own_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=user_invited_to_own_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} invited user to own {course_title}`

## Grade export


Name of a type of event where a user exports grades to SIS (Student Information System).
Events of this type are returned with `type=grade_export`.

### Course work exported

Display name of an event where a user exports a coursework to a SIS (Student Information System).
Event details Event name `grade_export_for_course_work` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
Possible values:

- `assignment`  
  Column value indicating that the type of this coursework is an assignment.
- `material`  
  Column value indicating that the type of this coursework is a material.
- `question`  
  Column value indicating that the type of this coursework is a question.
- `quiz_assignment`  
  Column value indicating that the type of this coursework is an assignment that links to a quiz.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=grade_export_for_course_work&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} successfully exported course work {course_work_title} from course {course_title} to SIS.`

### Submission exported

Display name of an event where a user exports a submission to a SIS (Student Information System).
Event details Event name `grade_export_for_submission` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
`submission_id` `string`


The name of a parameter for the identifier of a submission.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=grade_export_for_submission&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} successfully exported grades to SIS for submission {submission_id} in course work {course_work_title} from course {course_title}.`

## Guardian updates


Name of a type of event including changes related to guardians.
Events of this type are returned with `type=guardian_update`.

### Default guardian summaries settings updated for teacher

Display name of an event where a user updates the default guardian summaries settings for their courses.
Event details Event name `guardian_summaries_settings_updated_for_teacher` Parameters `summaries_status` `string`


The name of a parameter for whether or not guardian summaries have been enabled on the given course.
Possible values:

- `disabled`  
  Included into messages like CLASSROOM_EVENT_GUARDIAN_SUMMARIES_SETTINGS_UPDATED_FOR_COURSE_DESC to indicate summaries are disabled.
- `enabled`  
  Included into messages like CLASSROOM_EVENT_GUARDIAN_SUMMARIES_SETTINGS_UPDATED_FOR_COURSE_DESC to indicate summaries are enabled.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=guardian_summaries_settings_updated_for_teacher&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} {summaries_status} course summaries by default for all courses they teach and any courses they create.`

### Default guardian summaries settings updated for teacher

Display name of an event where a user updates the default guardian summaries settings for their courses.
Event details Event name `default_guardian_summaries_settings_updated_for_teacher` Parameters `summaries_status` `string`


The name of a parameter for whether or not guardian summaries have been enabled on the given course.
Possible values:

- `disabled`  
  Included into messages like CLASSROOM_EVENT_GUARDIAN_SUMMARIES_SETTINGS_UPDATED_FOR_COURSE_DESC to indicate summaries are disabled.
- `enabled`  
  Included into messages like CLASSROOM_EVENT_GUARDIAN_SUMMARIES_SETTINGS_UPDATED_FOR_COURSE_DESC to indicate summaries are enabled.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=default_guardian_summaries_settings_updated_for_teacher&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} {summaries_status} course summaries by default for all courses they teach and any courses they create.`

### Guardian invited for student

Display name of an event where a user invites a guardian for a student.
Event details Event name `guardian_invited_for_student` Parameters `event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=guardian_invited_for_student&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} invited guardian(s).`

### Guardian removed for student

Display name of an event where a user removes a guardian for a student.
Event details Event name `guardian_removed_for_student` Parameters `event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
`guardians` `string`


The name of a parameter for guardian users associated with the event.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=guardian_removed_for_student&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} removed guardian(s)`

### Guardian responded to invite

Display name of an event where a guardian responds to an invite.
Event details Event name `guardian_responded_to_invite` Parameters `impacted_users` `string`


The name of a parameter for the email of one or more users.
`invite_status` `string`


The name of a parameter for whether or not a course/role invite was accepted.
Possible values:

- `accepted`  
  Included into messages like CLASSROOM_EVENT_GUARDIAN_RESPONDED_TO_INVITE to indicate the invite was accepted.
- `rejected`  
  Included into messages like CLASSROOM_EVENT_GUARDIAN_RESPONDED_TO_INVITE to indicate the invite was rejected.
`invited_emails` `string`


The name of a parameter for the emails a guardian invite was sent to.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=guardian_responded_to_invite&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} {invite_status} guardian invite.`

### Guardian summaries settings updated for course

Display name of an event where a user updates the guardian summaries settings for a course.
Event details Event name `guardian_summaries_settings_updated_for_course` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`event_source` `string`


The name of a parameter for the audit event source.
Possible values:

- `api`  
  Indicates that the event originated from a request to the API.
`summaries_status` `string`


The name of a parameter for whether or not guardian summaries have been enabled on the given course.
Possible values:

- `disabled`  
  Included into messages like CLASSROOM_EVENT_GUARDIAN_SUMMARIES_SETTINGS_UPDATED_FOR_COURSE_DESC to indicate summaries are disabled.
- `enabled`  
  Included into messages like CLASSROOM_EVENT_GUARDIAN_SUMMARIES_SETTINGS_UPDATED_FOR_COURSE_DESC to indicate summaries are enabled.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=guardian_summaries_settings_updated_for_course&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} {summaries_status} course summaries for {course_title}.`

### Guardian updated email

Display name of an event where a guardian updates their email.
Event details Event name `guardian_updated_email` Parameters `impacted_users` `string`


The name of a parameter for the email of one or more users.
`previous_email` `string`


The name of a parameter for the previous email associated with the user.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=guardian_updated_email&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} updated their guardian email from {previous_email}`

## Originality report


Name of a type of event where a user creates originality reports.
Events of this type are returned with `type=originality_report`.

### Originality report created

Display name of an event where a user creates an originality report.
Event details Event name `originality_report_created` Parameters `course_id` `string`


The name of a parameter for the identifier of a course.
`course_title` `string`


The name of a parameter for the name of a course.
`course_work_title` `string`


The name of a parameter for the title of a piece of coursework.
`course_work_type` `string`


The name of a parameter for the type of a piece of coursework.
`document_id` `string`


The name of a parameter for the identifier of a document.
`impacted_users` `string`


The name of a parameter for the email of one or more users.
`post_id` `string`


The name of a parameter for the identifier of a piece of coursework.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/classroom?eventName=originality_report_created&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created an originality report on {course_work_title} in {course_title}.`